<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:TEI="http://www.tei-c.org/ns/1.0" version="1.0">
	<xsl:output method="html" encoding="UTF-8"/>
	<!-- Wurzelelement ansprechen und HTML-Gerüst bauen -->
	<xsl:template match="/">
		<html>
			<head>
				<title>Testtransformation für gaiji-Element</title>
			</head>
			<body>
				<p>
					<xsl:apply-templates/>
				</p>
			</body>
		</html>
	</xsl:template>
	
	<!-- Nur den TEI:text-Teil auswerten, Header ignorieren -->
	<xsl:template match="TEI:TEI">
		<xsl:apply-templates select="TEI:text"/>
	</xsl:template>
	
	<!-- Verlinkung der Gaijis erzeugen -->
	<xsl:template match="TEI:g">
	
		<!-- Variable für die ID des glyph bzw. char-Elements -->
		<xsl:variable name="glyph" select="substring-after(@ref, '#')"/>
	
		<!-- Dateinamen aus glyph bzw. char-Element ermitteln-->
		<xsl:variable name="image" select="/TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:glyph[@xml:id=$glyph]/TEI:figure/TEI:graphic/@url |
      /TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:char[@xml:id=$glyph]/TEI:figure/TEI:graphic/@url"/>

		<xsl:variable name="mapping" select="/TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:glyph[@xml:id=$glyph]/TEI:mapping[@type='standardized'] |
      												/TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:char[@xml:id=$glyph]/TEI:mapping[@type='standardized']"/>
	
		
		<!-- Statt dem Buchstaben einen link einbauen -->
		<a href="{$image}">
			<xsl:value-of select="$mapping"/>
		</a>
	</xsl:template>
	<xsl:template match="TEI:lb">
		<br/>
	</xsl:template>
</xsl:stylesheet>
